<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::http2::HTTP2ResponseSinkInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html">http2</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface.html">HTTP2ResponseSinkInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::http2::HTTP2ResponseSinkInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_h_t_t_p2_response_sink_interface_8h_source.html">HTTP2ResponseSinkInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::utils::http2::HTTP2ResponseSinkInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1acl_1_1_ping_handler.html" title="alexaClientSDK::acl\l::PingHandler" alt="" coords="325,5,464,44"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_decoder.html" title="alexaClientSDK::avsCommon\l::utils::http2::HTTP2MimeResponse\lDecoder" alt="" coords="278,68,510,120"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab1855bc384c8d69a1ff21f70d3dc1485"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface.html#ab1855bc384c8d69a1ff21f70d3dc1485">~HTTP2ResponseSinkInterface</a> ()=default</td></tr>
<tr class="separator:ab1855bc384c8d69a1ff21f70d3dc1485"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba654263e6f7078b7b95ea0cc227a567"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface.html#aba654263e6f7078b7b95ea0cc227a567">onReceiveResponseCode</a> (long responseCode)=0</td></tr>
<tr class="separator:aba654263e6f7078b7b95ea0cc227a567"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeed4eba9d124832644229f13c2ad97d5"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface.html#aeed4eba9d124832644229f13c2ad97d5">onReceiveHeaderLine</a> (const std::string &amp;line)=0</td></tr>
<tr class="separator:aeed4eba9d124832644229f13c2ad97d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad84a63ea306e59213e940a71ff17bf65"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a39abd31bf23bf92ff2e646bb2f385d95">HTTP2ReceiveDataStatus</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface.html#ad84a63ea306e59213e940a71ff17bf65">onReceiveData</a> (const char *bytes, size_t size)=0</td></tr>
<tr class="separator:ad84a63ea306e59213e940a71ff17bf65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fa03af5f10496d4cbea7114a3e4342e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_response_sink_interface.html#a8fa03af5f10496d4cbea7114a3e4342e">onResponseFinished</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282e">HTTP2ResponseFinishedStatus</a> status)=0</td></tr>
<tr class="separator:a8fa03af5f10496d4cbea7114a3e4342e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Interface for consuming data returned from an <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_request_interface.html">HTTP2RequestInterface</a></code>. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab1855bc384c8d69a1ff21f70d3dc1485"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1855bc384c8d69a1ff21f70d3dc1485">&#9670;&nbsp;</a></span>~HTTP2ResponseSinkInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::avsCommon::utils::http2::HTTP2ResponseSinkInterface::~HTTP2ResponseSinkInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Default destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad84a63ea306e59213e940a71ff17bf65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad84a63ea306e59213e940a71ff17bf65">&#9670;&nbsp;</a></span>onReceiveData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a39abd31bf23bf92ff2e646bb2f385d95">HTTP2ReceiveDataStatus</a> alexaClientSDK::avsCommon::utils::http2::HTTP2ResponseSinkInterface::onReceiveData </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>bytes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification of receipt of body data in an HTTP2 response.</p>
<dl class="section note"><dt>Note</dt><dd>Calls to this method may block network operations for the associated instance of <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">HTTP2ConnectionInterface</a>, so they should return quickly.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bytes</td><td>The buffer containing the bytes to consume. </td></tr>
    <tr><td class="paramname">size</td><td>The number of bytes to consume. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Status of the operation. </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a39abd31bf23bf92ff2e646bb2f385d95">HTTP2ReceiveDataStatus</a>. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_decoder.html#a1ffaea6f47ec38deb5d876eba8b12fe8">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseDecoder</a>.</p>

</div>
</div>
<a id="aeed4eba9d124832644229f13c2ad97d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeed4eba9d124832644229f13c2ad97d5">&#9670;&nbsp;</a></span>onReceiveHeaderLine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::avsCommon::utils::http2::HTTP2ResponseSinkInterface::onReceiveHeaderLine </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>line</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification than an HTTP header line was received.</p>
<dl class="section note"><dt>Note</dt><dd>Calls to this method may block network operations for the associated instance of <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">HTTP2ConnectionInterface</a>, so they should return quickly.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">line</td><td>The HTTP response header line that was received. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether receipt of the response should continue. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_decoder.html#a8b644dbd2e08c4da4a3366fb3dd9380c">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseDecoder</a>.</p>

</div>
</div>
<a id="aba654263e6f7078b7b95ea0cc227a567"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba654263e6f7078b7b95ea0cc227a567">&#9670;&nbsp;</a></span>onReceiveResponseCode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::avsCommon::utils::http2::HTTP2ResponseSinkInterface::onReceiveResponseCode </td>
          <td>(</td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>responseCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification that an HTTP response code was returned for the request.</p>
<dl class="section note"><dt>Note</dt><dd>Calls to this method may block network operations for the associated instance of <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">HTTP2ConnectionInterface</a>, so they should return quickly.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">responseCode</td><td>The response code received for the request. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether receipt of the response should continue. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_decoder.html#aa176d9360851ea4bb061def93cc930cf">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseDecoder</a>.</p>

</div>
</div>
<a id="a8fa03af5f10496d4cbea7114a3e4342e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fa03af5f10496d4cbea7114a3e4342e">&#9670;&nbsp;</a></span>onResponseFinished()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::utils::http2::HTTP2ResponseSinkInterface::onResponseFinished </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282e">HTTP2ResponseFinishedStatus</a>&#160;</td>
          <td class="paramname"><em>status</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification that the request/response cycle has finished and no further notifications will be provided.</p>
<dl class="section note"><dt>Note</dt><dd>Calls to this method may block network operations for the associated instance of <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">HTTP2ConnectionInterface</a>, so they should return quickly.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>The status with which receiving the response finished. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282e">HTTP2ResponseFinishedStatus</a>. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_decoder.html#af730f2ba7857b53a6c4a9c06095c80b0">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseDecoder</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/include/AVSCommon/Utils/HTTP2/<a class="el" href="_h_t_t_p2_response_sink_interface_8h_source.html">HTTP2ResponseSinkInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
